انجمن ایران پی اچ پی
آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - نسخه قابل چاپ

+- https://forum.iranphp.org - انجمن ایران پی اچ پی
+-- انجمن: پی اچ پی/PHP (/Forum-%D9%BE%DB%8C-%D8%A7%DA%86-%D9%BE%DB%8C-PHP)
+--- انجمن: دیگر موارد (/Forum-%D8%AF%DB%8C%DA%AF%D8%B1-%D9%85%D9%88%D8%A7%D8%B1%D8%AF)
+--- موضوع: آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! (/Thread-%D8%A2%DB%8C%D8%A7-%D9%86%DA%AF%D8%A7%D8%B1%D8%B4-5-3-%D8%A8%D9%87-%D8%A8%D8%A7%D9%84%D8%A7-PHP-%D8%AF%D8%A7%D8%B1%D8%A7%DB%8C-%D8%A8%D8%A7%DA%AF-%D9%87%D8%B3%D8%AA-%D9%88-%D8%A8%D9%87%D8%AA%D8%B1%DB%8C%D9%86-%D9%86%DA%AF%D8%A7%D8%B1%D8%B4-5-2-17-%D9%87%D8%B3%D8%AA%D8%9F)



آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - cyletech - ۱۳۹۱ شهريور ۲۸ ۱۲:۳۲ عصر

سلام،

من از هاستینگ دوستم خواستم از 5.2.17 به 5.3 یا بالاتر مهاجرت کنن ولی گفتن اون نگارش باگ های زیادی داره و در حال حاضر بهترین نگارش پی اچ پی 5.2.17 هست که نصب دارن. بنظر شما چنین هست؟

مرسی Heart


RE: آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - zoghal - ۱۳۹۱ شهريور ۲۸ ۰۱:۲۵ عصر

جک گفتن فقط تو نسخه 5.3.8 یک سوتی داشت که سریع نسخه جدید اومد. کلا 5.2 رو باید بوسید گذاشت کنار، خود پی اچ پی هم دیگه پشتیبانیش نمی کنه. حتی با 5.3 هم باید خدا حافظی کرد.
اما چرا این جک رو گفتن : به این دلیل که در سرور های اشتراکی به دلیل اینکه عنواع اقسام اسکریپت نصب هست و اغلب همشون قدیمی هستند. رفتن روی 5.3 براشون دردسر ساز میشه.

من شخصا رو 5.4 سوئچ کردم. نکته ای که در 5.4 خیلی مشهود هست. مدیریت حافظه هست. یک پروژه من رو 5.3 ، 13مگ رم مصرف میکرد. در همون حالت روی 5.4 حدود 6مگ مصرف می کنه الان.


RE: آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - phpveteran - ۱۳۹۱ شهريور ۲۸ ۰۱:۳۹ عصر

از طرف من به دوستتون بگین ساکت بشن
اصلا چنین چیزی نیست و بهترین نگارش همیشه آخرین نگارشه حالا اگه براتون پایداری مسئله حیاتی و مهمی هست می تونین از نسخه قبل استفاده کنین که پایدارترین و بهترین نسخه به حساب می آد با توجه به مطالبی که عرض کردم بهترین و پایدارترین نسخه حال حاضر 5.3.17 و بهترین نسخه 5.4.7 هست اما سوال اینجاست که چرا بسیاری از هاستینگ به صورت دوئل هنوز 5.2 را پشتیبانی می کنن و چرا بعضی ها هنوز به 5.3 هم مهاجرت نکردند؟
پاسخ این سوالات چند بخش داره اول اینکه برخی از نرم افزارهای قدیمی از امکاناتی استفاده کردند که تو نسخه های جدید حذف شدن یا خطاهایی در نسخه های جدید صادر می شه که در نسخه های قدیمی نبوده و هاست های اشتراکی معمولا از سر و صدای مشتری ها بعد از هر آپگرید وحشت دارن و چنین اقدامی یا تصمیمی را خیلی دیر اتخاذ می کنن. دوم اینکه همین آپگرید کردن براشون هزینه ها و درد سرهایی ممکنه داشته باشه.
در مجموع با اطمینان کامل عرض می کنم نسخه 5.3 کاملاً پایدار شده و قابلیت استفاده در محیط Production را کاملاً و حتی به مراتب بهتر و کارا تر از نسخه 5.2 داراست

در تایید حرف صالح که به نکته مهمی در ارتقا محسوس php 5.4 اشاره کرد
نتیجه پنج بار خروجی یک وب سایت بر روی سرور اشتراکی JustHost با php نسخه:
5.2.17
Generated in: 0.13 sec - 15.63 mb
Generated in: 0.14 sec - 15.64 mb
Generated in: 0.13 sec - 15.64 mb
Generated in: 0.13 sec - 15.64 mb
Generated in: 0.13 sec - 15.64 mb
5.3.16
Generated in: 0.11 sec - 14.07 mb
Generated in: 0.11 sec - 14.07 mb
Generated in: 0.11 sec - 14.07 mb
Generated in: 0.11 sec - 14.07 mb
Generated in: 0.11 sec - 14.07 mb
5.4.6
Generated in: 0.1 sec - 10.1 mb
Generated in: 0.1 sec - 10.1 mb
Generated in: 0.1 sec - 10.1 mb
Generated in: 0.11 sec - 10.1 mb
Generated in: 0.1 sec - 10.1 mb


RE: آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - cyletech - ۱۳۹۱ شهريور ۲۸ ۰۱:۵۴ عصر

اتفاقا من هم با شما هم نظرم . حرف اون طرف هم برام عجیب بود که اینجا مطرح کردم. الآن اسکریپتی که نوشتم توش از کانستنت های از پیش تعریف شده ای استفاده کردم که رو 5.3 به بالا جواب میده. از طرف دیگه تابع finfo روی 5.3 پیشفرض هست و نیازی به چیزی نداره. ولی الآن اونا دستی نصب کردن و مشکلاتی با magic database پیش اومده. حالا به دوستم گفتم بهشون اطلاع بده لینک اینجارم بده. ولی مطمئنم کار خودشونو میکنن.
بهرحال یه هاست که از اسکریپت های زیادی میزبانی میکنه بخاطر یکی دو تا اسکریپت قدیمی نباید در بروزرسانی نرم افزار سرورش دیر اقدام کنه. بنظر من همین دیر اقدام کردن بیشتر خطر امنیتی بوجود میاره. چون باگ هایی روی این نگارش هستن که مشخص شدن، میتونن راحت از اون طریق نفوذ کنن.


RE: آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - Reza - ۱۳۹۱ شهريور ۲۸ ۰۲:۰۰ عصر

به شخصه خیلی ها رو دیدم که توی کار هاستینگ هستن و برنامه نویس نیستن ، شاید این یکی از علت هاش باشه که نسخه پی اچ پی رو به روز نگه نمیدارن .
یعنی اصلاً نمیدونن چی به چیهBig Grin


RE: آیا نگارش 5.3 به بالا PHP دارای باگ هست و بهترین نگارش 5.2.17 هست؟! - voltan - ۱۳۹۱ شهريور ۲۸ ۰۴:۰۱ عصر

ما توی شرکت خودمون همه سرور های اختصاصی مشتری ها و یه سری سرور شرینگ که سایت های کمی روش بود رو به پی اچ پی ۵.۳ آپدیت کردیم. ولی یکی دو تا سرور هست که سرور شرینگ و سایت های زیادی روشه اینها رو متاسفانه هنوز نشده آپدیت کنیم چون خیلی از سایت ها احتمالا با پی اچ پی ۵.۳ یا ۵.۴ به مشکل بخورن. شرکت هاستنیگ شما هم احتمالا همین مسئله رو داشته . ولی گفتن این جمله که پی اچ پی ۵.۳ یا ۵.۴ باگ داره صحیح نیست و یه آدم وارد همچین حرفی رو نمیزنه

جالب اینه مشتری های سرور های اختصاصی ما که مثلا طرف یه سرور گرفته برای یه سایت یا دو سایت از ما خواستن نسخه پی اچ پی سرورشون به روز بشه ولی توی مشتری های سرورهای شرینگ تا حالا حتی یه درخواست هم نداشتیم که نیاز به پی اچ پی ۵.۳ دارن.